<?php

namespace Gw\Gwcatalog\Controller;

use TYPO3\CMS\Core\Messaging\FlashMessage;

class ProductController extends AbstractController
{
    /**
     * @var \Gw\Gwcatalog\Domain\Service\ImportService
     * @TYPO3\CMS\Extbase\Annotation\Inject
     */
    protected $importService = null;

    /**
     * @var \Gw\Gwcatalog\Domain\Repository\ProductRepository
     * @TYPO3\CMS\Extbase\Annotation\Inject
     */
    protected $productRepository = null;

    /**
     * @param string $task
     */
    public function baseAction(string $task = ''): void
    {
        if (!empty($task)) {
            $this->addFlashMessage('Ausführung des Tasks ' . $task . ' beendet.', 'Überprüfung', FlashMessage::NOTICE);
        }
    }

    public function testAction(): void
    {
        if ($this->productRepository->countAll() === 0) {
            $this->importService->ensureTestData();
        }
        $this->importService->translateIteration();
    }
}
