<?php

namespace Gw\Gwcatalog\Domain\Model;

class Product extends AbstractEntity
{
    /**
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Gw\Gwcatalog\Domain\Model\Category>
     */
    protected $categoryList = null;

    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }

    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects(): void
    {
        $this->categoryList = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }

    /**
     * Adds a Category
     *
     * @param \Gw\Gwcatalog\Domain\Model\Category $categoryList
     * @return void
     */
    public function addCategoryList(\Gw\Gwcatalog\Domain\Model\Category $categoryList): void
    {
        $this->categoryList->attach($categoryList);
    }

    /**
     * Removes a Category
     *
     * @param \Gw\Gwcatalog\Domain\Model\Category $categoryListToRemove The Category to be removed
     * @return void
     */
    public function removeCategoryList(\Gw\Gwcatalog\Domain\Model\Category $categoryListToRemove): void
    {
        $this->categoryList->detach($categoryListToRemove);
    }

    /**
     * Getter-Methode für Category List
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Gw\Gwcatalog\Domain\Model\Category> $categoryList
     */
    public function getCategoryList(): \TYPO3\CMS\Extbase\Persistence\ObjectStorage
    {
        return $this->categoryList;
    }

    /**
     * Setter-Methode für Category List
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Gw\Gwcatalog\Domain\Model\Category> $categoryList
     * @return void
     */
    public function setCategoryList(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $categoryList): void
    {
        $this->categoryList = $categoryList;
    }
}
