<?php

namespace Gw\Gwcatalog\Domain\Repository;

class AbstractRepository extends \TYPO3\CMS\Extbase\Persistence\Repository
{
    /**
     * Liefert einen Datensatz in einer bestimmten Sprache
     * HINWEIS: Funktioniert nicht in TYPO3 6.2, liefert immer das Overlay der aktuellen Frontend-Sprache, vermutlich erst in 8 gefixt
     * https://forge.typo3.org/issues/47192
     *
     * @param int $uid UID des Datensatzes in der Standardsprache
     * @param int $languageUid Sprache (sys_language_uid)
     * @return object
     */
    public function findTranslationByUid($uid, $languageUid)
    {
        $query = $this->createQuery();
        $query->getQuerySettings()->setRespectSysLanguage(false);
        $query->matching(
            $query->logicalAnd(
                $query->equals('l10n_parent', $uid),
                $query->equals('sys_language_uid', $languageUid)
            )
        );
        return $query->setLimit(1)->execute()->getFirst();
    }
}
